Package org.eclipse.emf.cdo.edit

## Class CDOItemProviderAdapter.IDDescriptor

- java.lang.Object
- - org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor
  - - org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.IDDescriptor

- All Implemented Interfaces:
    `org.eclipse.emf.edit.provider.IItemLabelProvider`, `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`
  Enclosing class:
    CDOItemProviderAdapter

      @Deprecated
      public static class CDOItemProviderAdapter.IDDescriptor
      extends CDOItemProviderAdapter.CDOPropertyDescriptor

  Deprecated.
  As of 4.4 not used any more.
  Adds the `CDOID` of a `CDOObject` to the Properties view.
  Since:
    2.0
  Author:
    Victor Roldan Betancort

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor

      `CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor

      `org.eclipse.emf.edit.provider.IItemPropertyDescriptor.OverrideableCommandOwner, org.eclipse.emf.edit.provider.IItemPropertyDescriptor.ValueHandler, org.eclipse.emf.edit.provider.IItemPropertyDescriptor.ValueHandlerProvider`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor

      `CDO_CATEGORY, FILTER_ID_EXPERT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IDDescriptor()` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor

      `canSetProperty, getCategory, getChoiceOfValues, getDescription, getDisplayName, getFeature, getFilterFlags, getHelpContextIds, getId, getImage, getLabelProvider, getProperty, getPropertyValue, getText, isCompatibleWith, isMany, isMultiLine, isPropertySet, isSortChoices, resetPropertyValue, setPropertyValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IDDescriptor

          public IDDescriptor()

      Deprecated.